org.eclipse.jgit.errors

## Class TranslationBundleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.TranslationBundleException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TranslationBundleLoadingException, TranslationStringMissingException

    public abstract class TranslationBundleException
    extends RuntimeException

Common base class for all translation bundle related exceptions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `TranslationBundleException(String message, Class bundleClass, Locale locale, Exception cause)` To construct an instance of `TranslationBundleException`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class` `getBundleClass()`
`Locale` `getLocale()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TranslationBundleException

    protected TranslationBundleException(String message,
                                         Class bundleClass,
                                         Locale locale,
                                         Exception cause)

To construct an instance of `TranslationBundleException`

Parameters:
  `message` - exception message
  `bundleClass` - bundle class for which the exception occurred
  `locale` - locale for which the exception occurred
  `cause` - original exception that caused this exception. Usually thrown from the `ResourceBundle` class.

### Method Detail

#### getBundleClass

    public final Class getBundleClass()

Returns:
  bundle class for which the exception occurred

#### getLocale

    public final Locale getLocale()

Returns:
  locale for which the exception occurred